DataLimits.Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.filter

## Class DataLimits.Serializer

- java.lang.Object
- - org.apache.cassandra.db.filter.DataLimits.Serializer

- Enclosing class:
    DataLimits

      public static class DataLimits.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataLimits` | `deserialize(DataInputPlus in, int version, ClusteringComparator comparator)`
    `void` | `serialize(DataLimits limits, DataOutputPlus out, int version, ClusteringComparator comparator)`
    `long` | `serializedSize(DataLimits limits, int version, ClusteringComparator comparator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(DataLimits limits,
                                DataOutputPlus out,
                                int version,
                                ClusteringComparator comparator)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public DataLimits deserialize(DataInputPlus in,
                                        int version,
                                        ClusteringComparator comparator)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(DataLimits limits,
                                     int version,
                                     ClusteringComparator comparator)

Copyright © 2018 The Apache Software Foundation